%global pypi_name ansible-compat
%global module_name ansible_compat
%global commitId 63e7fbf81c12346a03537c48a8d8a5f18c44daee

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       4.1.8
Release:       1%{?dist}
Summary:       Ansible compatibility goodies

License:       MIT
URL:           https://github.com/ansible-community/ansible-compat
Source0:       python-ansible-compat-63e7fbf81c12346a03537c48a8d8a5f18c44daee.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-pip
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools >= 45
BuildRequires: python%{python3_pkgversion}-setuptools_scm+toml >= 3.5.0
BuildRequires: python%{python3_pkgversion}-wheel

%description
A python package contains functions that facilitate working with various
versions of Ansible 2.9 and newer.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       Ansible compatibility goodies

Requires:      ansible-core >= 2.13
Requires:      python%{python3_pkgversion}-jsonschema >= 4.6
Requires:      python%{python3_pkgversion}-packaging
Requires:      python%{python3_pkgversion}-pyyaml
Requires:      python%{python3_pkgversion}-subprocess-tee >= 0.4.1
Requires:      python%{python3_pkgversion}-typing-extensions >= 4.5

%description -n python%{python3_pkgversion}-%{pypi_name}
A python package contains functions that facilitate working with various
versions of Ansible 2.9 and newer.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{__python3} -m pip config set global.index https://repository.engineering.redhat.com/nexus/repository/pypi.org/pypi
%{__python3} -m pip config set global.index_url https://repository.engineering.redhat.com/nexus/repository/pypi.org/simple
%{__python3} -m pip config set global.trusted-host repository.engineering.redhat.com
%{__python3} -m pip install setuptools==67.7.2 setuptools_scm[toml]==7.1.0

# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
# Here we set upstream version based on setuptools_scm documentation
# this is done to avoid the following error:
# LookupError: setuptools-scm was unable to detect version
# since we are not importing a .git repository in the tarball
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info
%license LICENSE
%doc README.md

%changelog
* Tue Aug 22 2023 Dimitri Savineau <dsavinea@redhat.com> - 4.1.8-1
- Update to 4.1.8

* Mon Apr 17 2023 Dimitri Savineau <dsavinea@redhat.com> - 3.0.2-1
- Update to 3.0.2

* Fri Oct 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.2.1-1
- Update to 2.2.1

* Thu Aug 18 2022 James Marshall <jamarsha@redhat.com> - 2.0.4-1
- Update to 2.0.4

* Thu Mar 17 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.0.2-1
- Update to 2.0.2

* Wed Mar 16 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.0.1-1
- Update to 2.0.1

* Mon Feb 28 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.0.0-1
- Initial package
